E-MailRelay

Classes | Namespaces | Macros | Typedefs | Functions
gssl_mbedtls_utils.h File Reference
`#include "gdef.h"`
`#include "gssl_mbedtls_headers.h"`
`#include "gstrmacros.h"`
`#include <cstddef>`
Include dependency graph for gssl_mbedtls_utils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | GSsl::MbedTls::X< T >
| Initialises and frees an mbedtls object on construction and destruction. More...

## Namespaces
namespace | GSsl
| TLS/SSL transport layer security classes.
namespace | GSsl::MbedTls
| A namespace for implementing the GSsl interface using the mbedtls library.

## Macros
#define | FN(fn) nullptr,(#fn),(fn)
#define | FN_RET(fn) nullptr,(#fn),(fn)
#define | FN_OK(ok, fn) int(ok),(#fn),(fn)

## Typedefs
using | GSsl::MbedTls::old_fn = int(*)(mbedtls_pk_context *c, const unsigned char *k, std::size_t ks, const unsigned char *p, std::size_t ps)
using | GSsl::MbedTls::new_fn = int(*)(mbedtls_pk_context *c, const unsigned char *k, std::size_t ks, const unsigned char *p, std::size_t ps, int(*r)(void *, unsigned char *, std::size_t), void *rp)

## Functions
template<typename F , typename... Args>
void | GSsl::MbedTls::call (int ok, const char *fname, F fn, Args &&... args)
template<typename F , typename... Args>
void | GSsl::MbedTls::call (std::nullptr_t, const char *, F fn, Args &&... args)
int | GSsl::MbedTls::call_fn (old_fn fn, mbedtls_pk_context *c, const unsigned char *k, std::size_t ks, const unsigned char *p, std::size_t ps, int(*)(void *, unsigned char *, std::size_t), void *)
int | GSsl::MbedTls::call_fn (new_fn fn, mbedtls_pk_context *c, const unsigned char *k, std::size_t ks, const unsigned char *p, std::size_t ps, int(*r)(void *, unsigned char *, std::size_t), void *rp)

## Macro Definition Documentation

## ◆ FN

#define FN | ( |  | fn | ) | nullptr,(#fn),(fn)

Definition at line 39 of file gssl_mbedtls_utils.h.

## ◆ FN_OK

#define FN_OK | ( |  | ok,
|  |  | fn
| ) |  | int(ok),(#fn),(fn)

Definition at line 49 of file gssl_mbedtls_utils.h.

## ◆ FN_RET

#define FN_RET | ( |  | fn | ) | nullptr,(#fn),(fn)

Definition at line 47 of file gssl_mbedtls_utils.h.